# Divisions: search

Searches for political divisions by their natural name or OCD ID.
[Try it now](https://developers.google.com/civic-information/docs/v2/divisions/search#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/civicinfo/v2/divisions
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Optional query parameters** |||
| `query` | `string` | The search query. Queries can cover any parts of a OCD ID or a human readable division name. All words given in the query are treated as required patterns. In addition to that, most query operators of the Apache Lucene library are supported. See http://lucene.apache.org/core/2_9_4/queryparsersyntax.html |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "civicinfo#divisionSearchResponse",
  "results": [
    divisions Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Identifies what kind of resource this is. Value: the fixed string `"civicinfo#divisionSearchResponse"`. |   |
| `results[]` | `list` |   |   |

## Try it!